javax.swing.plaf.basic

## Interface ComboPopup

All Known Implementing Classes:
  BasicComboPopup, MetalComboBoxUI.MetalComboPopup

    public interface ComboPopup

The interface which defines the methods required for the implementation of the popup portion of a combo box.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

### Method Summary

Methods
`KeyListener` `getKeyListener()` Returns a key listener that will be added to the combo box or null.
`JList` `getList()` Returns the list that is being used to draw the items in the combo box.
`MouseListener` `getMouseListener()` Returns a mouse listener that will be added to the combo box or null.
`MouseMotionListener` `getMouseMotionListener()` Returns a mouse motion listener that will be added to the combo box or null.
`void` `hide()` Hides the popup
`boolean` `isVisible()` Returns true if the popup is visible (currently being displayed).
`void` `show()` Shows the popup
`void` `uninstallingUI()` Called to inform the ComboPopup that the UI is uninstalling.

### Method Detail

#### show

    void show()

Shows the popup

#### hide

    void hide()

Hides the popup

#### isVisible

    boolean isVisible()

Returns true if the popup is visible (currently being displayed).

Returns:
  `true` if the component is visible; `false` otherwise.

#### getList

    JList getList()

Returns the list that is being used to draw the items in the combo box. This method is highly implementation specific and should not be used for general list manipulation.

#### getMouseListener

    MouseListener getMouseListener()

Returns a mouse listener that will be added to the combo box or null. If this method returns null then it will not be added to the combo box.

Returns:
  a `MouseListener` or null

#### getMouseMotionListener

    MouseMotionListener getMouseMotionListener()

Returns a mouse motion listener that will be added to the combo box or null. If this method returns null then it will not be added to the combo box.

Returns:
  a `MouseMotionListener` or null

#### getKeyListener

    KeyListener getKeyListener()

Returns a key listener that will be added to the combo box or null. If this method returns null then it will not be added to the combo box.

#### uninstallingUI

    void uninstallingUI()

Called to inform the ComboPopup that the UI is uninstalling. If the ComboPopup added any listeners in the component, it should remove them here.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.